Identity and Access Management API, REST: OAuthClient.Update
Updates the specified oauth client.
HTTP request
PATCH https://iam.api.yandexcloud.kz/iam/v1/oauthClients/{oauthClientId}
Path parameters
|
Field |
Description |
|
oauthClientId |
string Required field. ID of the OAuthClient resource to update. The maximum string length in characters is 50. |
Body parameters
{
"updateMask": "string",
"name": "string",
"redirectUris": [
"string"
],
"scopes": [
"string"
],
"authenticationMethods": [
"string"
],
"postLogoutRedirectUris": [
"string"
],
"pkceRequired": "boolean"
}
|
Field |
Description |
|
updateMask |
string (field-mask) A comma-separated names off ALL fields to be updated. If |
|
name |
string Required field. Name of the oauth client. Value must match the regular expression |
|
redirectUris[] |
string List of redirect uries allowed for the oauth client. The maximum string length in characters for each value is 1000. The maximum number of elements is 1000. |
|
scopes[] |
string List of oauth scopes requested by the oauth client. The maximum string length in characters for each value is 255. Each value must match the regular expression |
|
authenticationMethods[] |
string List of authentication methods allowed for the oauth client. The maximum string length in characters for each value is 255. The maximum number of elements is 1000. |
|
postLogoutRedirectUris[] |
string List of URIs to which users can be redirected after signing out of the oauth client. The maximum string length in characters for each value is 1000. The maximum number of elements is 1000. |
|
pkceRequired |
boolean Whether PKCE (Proof Key for Code Exchange) is required for the oauth client during the authorization code flow. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |